# QCA::HashContext Class Reference
[QCA provider API]

Hash provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::HashContext:

Collaboration diagram for QCA::HashContext:

[legend]

List of all members.

## Public Member Functions

virtual void | clear ()=0
virtual MemoryRegion | final ()=0
| HashContext (Provider *p, const QString &type)
virtual void | update (const MemoryRegion &a)=0

## Detailed Description

Hash provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Hash instead.

## Constructor & Destructor Documentation

QCA::HashContext::HashContext | ( | Provider * | p,
|  | const QString & | type |
| ) |  |  | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context
  | type | the name of the type of hash provided by this context

## Member Function Documentation

virtual void QCA::HashContext::clear | ( |  | ) | `[pure virtual]`

Reset the object to its initial state.

virtual MemoryRegion QCA::HashContext::final | ( |  | ) | `[pure virtual]`

Return the computed hash.

virtual void QCA::HashContext::update | ( | const MemoryRegion & | a | ) | `[pure virtual]`

Process a chunk of data.

Parameters:

  | a | the input data to process

The documentation for this class was generated from the following file:

- qcaprovider.h